'use strict';

/**
 * Module dependencies.
 */

let joi = require('joi');

module.exports = joi.object({
  key: joi.string(),
  index: joi.number().allow(null),
  icon: joi.string(),
  displayName: joi.string(),
  target: joi.boolean().allow(null),
  targetModule: joi.string().allow(null),
  targetModuleView: joi.string().allow(null),
  visible: joi.boolean().allow(null),
  visibleGroups: joi.any().allow(null)
}).unknown(true);
